#
# spec file for package perl-MLDBM (Version 2.00)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  perl
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-MLDBM
%define version_perl       	%(rpm -q --queryformat '%{version}' perl)
%define perl_installsitelib  	%(eval "`perl -V:installsitelib`"; echo $installsitelib)
Copyright:    BSD style
Group:        Development/Libraries/Perl
Provides:     MLDBM
Requires:     perl = %{version_perl} 
Conflicts:    perlmod
Autoreqprov:  on
Version:      2.00
Release:      116
Source:       MLDBM-2.00.tar.gz 
Summary:      store multidimensional hash structures in tied hashes
BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}

%description
MLDBM, the Perl module that can be used to store multidimensional hash
structures in tied hashes (including DBM files).

Authors:
--------
    Sarathy <gsar@umich.edu>

SuSE series: perl

%prep 
%setup -n MLDBM-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS"
export APACHE=`which httpd`
perl Makefile.PL
make all
make test
	

%install
export CFLAGS="$RPM_OPT_FLAGS"
export APACHE=`which httpd`
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
eval `perl -V:installarchlib`
install -d $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr \
        INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
        INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
        install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
cat $RPM_BUILD_ROOT/$installarchlib/perllocal.pod | \
	sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/%{name}
cd $RPM_BUILD_ROOT/%{perl_sitearch}/auto/MLDBM
       cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist

%files
%defattr(-, root, root)
%doc Changes README MANIFEST
%doc %{_mandir}/man3/MLDBM.3pm.gz
%{perl_installsitelib}/MLDBM.pm
%{perl_installsitelib}/MLDBM/
%{perl_sitearch}/auto/MLDBM/
/var/adm/perl-modules/%{name}

%changelog -n perl-MLDBM
* Mon Nov 20 2000 - rolf@suse.de
- extracted from perlmod package
